package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdScenariofield;
import com.dhcc.finance.main.domain.CwBdScenariofieldExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;
/**
 * 功能描述：字段配置表
 * @author dml
 * @date 2019年7月29日 下午2:25:31
 * @修改日志：
 */
public interface CwBdScenariofieldMapper {
    long countByExample(CwBdScenariofieldExample example);

    int deleteByExample(CwBdScenariofieldExample example);

    int deleteByPrimaryKey(String id);

    int insert(CwBdScenariofield record);

    int insertSelective(CwBdScenariofield record);

    List<CwBdScenariofield> selectByExample(CwBdScenariofieldExample example);

    CwBdScenariofield selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CwBdScenariofield record, @Param("example") CwBdScenariofieldExample example);

    int updateByExample(@Param("record") CwBdScenariofield record, @Param("example") CwBdScenariofieldExample example);

    int updateByPrimaryKeySelective(CwBdScenariofield record);

    int updateByPrimaryKey(CwBdScenariofield record);
    
    /**
     * 功能描述：查询流水字段转换值
     * @param flowType
     * @return CwBdScenariofield
     * @author dml
     * @date 2019年7月29日 下午2:27:01
     * @修改日志：
     */
    CwBdScenariofield selectFlowField(@Param("flowType")String flowType,@Param("scenarioField") String scenarioField);
    /**
     * 功能描述：查询全部字段配置信息
     * @param example
     * @return List<CwBdScenariofield>
     * @author dml
     * @date 2019年7月30日 上午9:22:07
     * @修改日志：
     */
    List<CwBdScenariofield> selectAllData();
    
}